import os
from setuptools import find_packages, setup

# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = "backupclient",
    version = "0.1",
    packages = find_packages(),
    author = "Nicolas Wavrant",
    author_email = "nicolas.wavrant@gmail.com",
    description = ("A backup client command. It is a wrapper over rsync and rdiff-backup with a config file parser, to automate backups."),
    license = "BSD",
    entry_points = {
        'console_scripts': [
            'backupclient=backupclient.bin.backupclient:main',
        ],
    },
    install_requires = [
        'pyyaml',
    ],
)
